%global srcname setuptools-git

Name:           python-%{srcname}
Version:        1.1
Release:        %mkrel 1
Summary:        Setuptools revision control system plugin for Git

Group:          Development/Python
License:        MIT
URL:            https://github.com/wichert/setuptools-git
Source0:        https://pypi.python.org/packages/source/s/setuptools-git/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
This is a plugin for setuptools that enables git integration.

%package -n python3-%{srcname}
Summary:        Setuptools revision control system plugin for Git
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
This is a plugin for setuptools that enables git integration.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf setuptools_git.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitelib}/setuptools_git*

%files -n python3-%{srcname}
%{python3_sitelib}/setuptools_git*


%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 1.1-1.mga6
+ Revision: 911024
- new version: 1.1
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 745161
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-6.mga5
+ Revision: 729759
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 688328
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 544195
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0-2.mga4
+ Revision: 499367
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 1.0-1.mga4
+ Revision: 460748
- imported package python-setuptools-git

